Page MenuHomePhabricator

Logic to import bugzilla data into phabricator
Closed, ResolvedPublic

Details

Reference
fl409

Event Timeline

flimport raised the priority of this task from to High.Sep 12 2014, 1:39 AM
flimport set Reference to fl409.

qgil wrote on 2014-09-05 15:10:40 (UTC)

Will bug reports keep its history after the migration? I mean changes of status / priority / project between the date of creation and their current state.

The reason to ask is whether we will still have enough data to keep creating graphs like http://korma.wmflabs.org/browser/bugzilla_response_time.html.

Note: if not, it is fine -- with the date of creation, the dates of comments, and the current status we can still obtain what we really really need.

Rush wrote on 2014-09-05 16:52:47 (UTC)

not really, api tends to offer only end state not transitions for all products that I've seen

aklapper wrote on 2014-09-07 23:33:45 (UTC)

Even if there was code in Bitergia's tool to support Phabricator (AFAIK there isn't), the code for our Community Metrics would have to be rewritten to support parsing our home-made way how we imported data from BZ into Phabricator (e.g. "this ticket has seen no new comments for two years"). Unrelated to that, as I understand it, we will lose statistics on other ticket metadata like "this ticket has been high priority for two years across both Bugzilla and Phabricator".

Aklapper assigned this task to chasemp.Sep 18 2014, 3:36 PM
Aklapper set Security to None.
Qgil closed this task as Resolved.Oct 30 2014, 8:14 AM

At this point the logic part is solved, and we are dealing with implementation details relative to the Bugzilla and RT migration scripts. Resolving this task. Please reopen if you still want to keep track of details that don't belong to other tasks.